"java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

"java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://bugzilla.redhat.com/show_bug.cgi?id=1352985
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Any suggestions?
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
Subject: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
In reply to this post by baris.kazar
Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still there.
Thanks

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Any suggestions?
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
Subject: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
In reply to this post by baris.kazar
well, fixing path did not fix this problem
Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:59:00 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still there.
Thanks

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Any suggestions?
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
Subject: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
In reply to this post by baris.kazar
Ok, found the problem Lucene60 codec classes does not exist in Lucene 6.6.0 core jar:
297:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat$1.class
298:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat.class
299:org/apache/lucene/codecs/lucene60/Lucene60PointsFormat.class
300:org/apache/lucene/codecs/lucene60/Lucene60PointsReader.class
301:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter$1.class
302:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter.class
303:org/apache/lucene/codecs/lucene60/package-info.class
304:org/apache/lucene/codecs/lucene62/Lucene62Codec$1.class
305:org/apache/lucene/codecs/lucene62/Lucene62Codec$2.class
306:org/apache/lucene/codecs/lucene62/Lucene62Codec.class
307:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat$1.class
308:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat.class
309:org/apache/lucene/codecs/lucene62/package-info.class

Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 3:40:56 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

well, fixing path did not fix this problem
Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:59:00 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still there.
Thanks

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Any suggestions?
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
Subject: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
In reply to this post by baris.kazar
is there a packaging issue but i also checked next Lucene versions and they have the same structure ie no Lucene60 codec classes.
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 4:13:28 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Ok, found the problem Lucene60 codec classes does not exist in Lucene 6.6.0 core jar:
297:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat$1.class
298:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat.class
299:org/apache/lucene/codecs/lucene60/Lucene60PointsFormat.class
300:org/apache/lucene/codecs/lucene60/Lucene60PointsReader.class
301:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter$1.class
302:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter.class
303:org/apache/lucene/codecs/lucene60/package-info.class
304:org/apache/lucene/codecs/lucene62/Lucene62Codec$1.class
305:org/apache/lucene/codecs/lucene62/Lucene62Codec$2.class
306:org/apache/lucene/codecs/lucene62/Lucene62Codec.class
307:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat$1.class
308:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat.class
309:org/apache/lucene/codecs/lucene62/package-info.class

Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 3:40:56 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

well, fixing path did not fix this problem
Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:59:00 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still there.
Thanks

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Caused By: java.lang.IllegalArgumentException: An SPI class of type org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You need to add the corresponding JAR file supporting this SPI to your classpath.  The current classpath supports the following names: [Lucene62]

Any suggestions?
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
Subject: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

 Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
i dont want to modify META-INF.
 https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
Any suggestions please?
Best regards

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Torsten Krah-2
Just do what the error message tells you to do ...

Baris Kazar <[hidden email]> schrieb am Sa., 28. Juli 2018, 22:41:

> is there a packaging issue but i also checked next Lucene versions and
> they have the same structure ie no Lucene60 codec classes.
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 4:13:28 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Ok, found the problem Lucene60 codec classes does not exist in Lucene
> 6.6.0 core jar:
> 297:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat$1.class
> 298:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat.class
> 299:org/apache/lucene/codecs/lucene60/Lucene60PointsFormat.class
> 300:org/apache/lucene/codecs/lucene60/Lucene60PointsReader.class
> 301:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter$1.class
> 302:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter.class
> 303:org/apache/lucene/codecs/lucene60/package-info.class
> 304:org/apache/lucene/codecs/lucene62/Lucene62Codec$1.class
> 305:org/apache/lucene/codecs/lucene62/Lucene62Codec$2.class
> 306:org/apache/lucene/codecs/lucene62/Lucene62Codec.class
> 307:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat$1.class
> 308:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat.class
> 309:org/apache/lucene/codecs/lucene62/package-info.class
>
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 3:40:56 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> well, fixing path did not fix this problem
> Caused By: java.lang.IllegalArgumentException: An SPI class of type
> org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You
> need to add the corresponding JAR file supporting this SPI to your
> classpath.  The current classpath supports the following names: [Lucene62]
>
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:59:00 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still
> there.
> Thanks
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Caused By: java.lang.IllegalArgumentException: An SPI class of type
> org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You
> need to add the corresponding JAR file supporting this SPI to your
> classpath.  The current classpath supports the following names: [Lucene62]
>
> Any suggestions?
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
> Subject: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
>  Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
> i dont want to modify META-INF.
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
> Any suggestions please?
> Best regards
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
In reply to this post by baris.kazar
Just before Your email:
yup: i just took it simple: Did you forget to add lucene-backward-codecs.jar? Yes i did.
after i added this to my app's lib dir it worked. Then i just saw Your email.

why was this design change after 6.6.0? i did not need to do this in 6.1.0.

Thanks for the response
Best regards

----- Original Message -----
From: [hidden email]
To: [hidden email]
Sent: Saturday, July 28, 2018 4:45:25 PM GMT -05:00 US/Canada Eastern
Subject: Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Just do what the error message tells you to do ...

Baris Kazar <[hidden email]> schrieb am Sa., 28. Juli 2018, 22:41:

> is there a packaging issue but i also checked next Lucene versions and
> they have the same structure ie no Lucene60 codec classes.
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 4:13:28 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Ok, found the problem Lucene60 codec classes does not exist in Lucene
> 6.6.0 core jar:
> 297:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat$1.class
> 298:org/apache/lucene/codecs/lucene60/Lucene60FieldInfosFormat.class
> 299:org/apache/lucene/codecs/lucene60/Lucene60PointsFormat.class
> 300:org/apache/lucene/codecs/lucene60/Lucene60PointsReader.class
> 301:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter$1.class
> 302:org/apache/lucene/codecs/lucene60/Lucene60PointsWriter.class
> 303:org/apache/lucene/codecs/lucene60/package-info.class
> 304:org/apache/lucene/codecs/lucene62/Lucene62Codec$1.class
> 305:org/apache/lucene/codecs/lucene62/Lucene62Codec$2.class
> 306:org/apache/lucene/codecs/lucene62/Lucene62Codec.class
> 307:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat$1.class
> 308:org/apache/lucene/codecs/lucene62/Lucene62SegmentInfoFormat.class
> 309:org/apache/lucene/codecs/lucene62/package-info.class
>
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 3:40:56 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> well, fixing path did not fix this problem
> Caused By: java.lang.IllegalArgumentException: An SPI class of type
> org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You
> need to add the corresponding JAR file supporting this SPI to your
> classpath.  The current classpath supports the following names: [Lucene62]
>
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:59:00 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Ok, resolved. i thought i included 6.6.0 in the path but 6.1.0 was still
> there.
> Thanks
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:45:08 PM GMT -05:00 US/Canada Eastern
> Subject: Re: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
> Caused By: java.lang.IllegalArgumentException: An SPI class of type
> org.apache.lucene.codecs.Codec with name 'Lucene60' does not exist.  You
> need to add the corresponding JAR file supporting this SPI to your
> classpath.  The current classpath supports the following names: [Lucene62]
>
> Any suggestions?
> Best regards
>
> ----- Original Message -----
> From: [hidden email]
> To: [hidden email]
> Sent: Saturday, July 28, 2018 2:42:12 PM GMT -05:00 US/Canada Eastern
> Subject: "java.lang.IllegalArgumentException: Could not load codec
> 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error
>
>  Lucene 6.1.0 is ok but Lucene 6.6.0 issues an error related to codecs.
> i dont want to modify META-INF.
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__bugzilla.redhat.com_show-5Fbug.cgi-3Fid-3D1352985&d=DwIFaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=nlG5z5NcNdIbQAiX-BKNeyLlULCbaezrgocEvPhQkl4&m=-mACHGGlnAFryI16jt6WZVRqkSzlFDSCzJKWZxSNyoM&s=ZZpA8PGSLfdfLA7IbJZBCk6J5KdR8dYZZfqJ3tKOsuI&e=
> Any suggestions please?
> Best regards
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

Torsten Krah-2
You would have to if you would e.g. still have had a Lucene50 Codec index
in use, even with 6.1.0.
This is not new that there is the backwards compatible jar which you need
to add if you want to use old codecs.

https://lucene.apache.org/core/6_2_0/backward-codecs/overview-summary.html
Reply | Threaded
Open this post in threaded view
|

Re: "java.lang.IllegalArgumentException: Could not load codec 'Lucene60'. Did you forget to add lucene-backward-codecs.jar?" Error

baris.kazar
So, by using backwards codec jar :

Lucene 6.6.0 is now using older codec that comes with it, right?
Then, the latest codec is enforced to use by reindexing the data with new Lucene 6.6.0 (due to switching from 6.1.0), right?

Thus, i did not need to rerun indexing because of use of backwards codecs jar. However if i reindex data with Lucene 6.6.0 then latest codec would be used. i will try this.
Best

> On Jul 29, 2018, at 10:26 AM, Torsten Krah <[hidden email]> wrote:
>
> You would have to if you would e.g. still have had a Lucene50 Codec index in use, even with 6.1.0.
> This is not new that there is the backwards compatible jar which you need to add if you want to use old codecs.
>
> https://lucene.apache.org/core/6_2_0/backward-codecs/overview-summary.html